[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideUpperCase

Change a widestring to all-uppercase.

## Declaration

Source position: syswideh.inc line 18

`function WideUpperCase(`
`const s: WideString`
`):WideString;`

## Description

WideUpperCase converts the string S to uppercase characters and returns the resulting string. It takes into account the operating system language settings when doing this, so special characters are converted correctly as well.

Remark: | On Unix-like platforms, a widestring manager must be installed for this function to work correctly.

## Errors

None.

## See also

WideLowerCase |  | Change a widestring to all-lowercase.